Package org.eclipse.emf.cdo.ui

# Class OverlayImage

java.lang.Object
org.eclipse.emf.edit.provider.ComposedImage
org.eclipse.emf.cdo.ui.OverlayImage

public final class OverlayImage extends ComposedImage

Since:
  4.4
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ComposedImage

`ComposedImage.Point, ComposedImage.Size`

## Field Summary

### Fields inherited from class org.eclipse.emf.edit.provider.ComposedImage

`images, imageSizes`

## Constructor Summary

Constructors
Constructor
Description
`OverlayImage(Object image, Object overlayImage, int x, int y)`

## Method Summary

Modifier and Type
Method
Description
`List<ComposedImage.Point>`
`getDrawPoints(ComposedImage.Size size)`

### Methods inherited from class org.eclipse.emf.edit.provider.ComposedImage

`equals, getImages, getSize, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OverlayImage

public OverlayImage(Object image, Object overlayImage, int x, int y)

## Method Details

### getDrawPoints

public List<ComposedImage.Point> getDrawPoints(ComposedImage.Size size)

Overrides:
  `getDrawPoints` in class `ComposedImage`